import json
import os
import sys 
import evaluation


if 'filelist' in sys.argv[1]:
    with open(sys.argv[1], 'r') as f:
        models = f.read().splitlines()
else:
    models = sys.argv[1:]

for model_path in models:
    print(model_path)
    if not os.path.exists(model_path):
        print("no model exists.")
        exit(1)

    sims, recalls = evaluation.evalrank(
        model_path, data_path="./data", split="test", fold5=False)
    
    results = dict()
    results['sims'] = sims.tolist()
    results['recalls'] = recalls
    
    model_dir = os.path.dirname(model_path)
    result_name = os.path.basename(model_path)[:-4]+'_results.json'
    
    with open(os.path.join(model_dir, result_name), 'w') as f:
        json.dump(results, f)
