#!/bin/bash

run_path="."
base_path="./results"
outpath="RELAX"
jobname="RELAX_T2I_NT_sep_SEED_0"

mkdir -p ${base_path}/${outpath}/${jobname}

cp ${run_path}/*.py ${base_path}/${outpath}/${jobname}/
cp $(readlink -f $0) ${base_path}/${outpath}/${jobname}.setting

python3 -u $run_path/train.py \
--data_path ./data \
--data_name flickr30k_split \
--cache_path ./data_cache \
--batch_size 32 \
--num_epochs 30 \
--lr_update 15 \
--learning_rate 2.5e-5 \
--workers 0 \
--val_step 500 \
--logger_name ${base_path}/${outpath}/${jobname}/log \
--model_name  ${base_path}/${outpath}/${jobname}/checkpoint \
--is_fusion --is_triplet --use_cxt \
--cross_attn t2i --no_txtnorm --no_relnorm \
--adapt \
--shared_model \
--grad_clip -1 \
--pred_enc_type SEP \
--inv_t 10 \
--seed 0

